## ros-melodic-cis-camera 0.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cis_camera)

## Compile as C++11, supported in ROS Kinetic and newer
# add_compile_options(-std=c++11)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  camera_info_manager
  dynamic_reconfigure
  image_transport
  pluginlib
  nodelet
  sensor_msgs
  cv_bridge
  pcl_ros
  tf
  tf_conversions
  roslint
)
find_package(OpenCV)

generate_dynamic_reconfigure_options(
  cfg/CISCamera.cfg
)

find_package(libuvc REQUIRED)
message(STATUS "libuvc ${libuvc_VERSION_MAJOR}.${libuvc_VERSION_MINOR}.${libuvc_VERSION_PATCH}")

catkin_package(
  CATKIN_DEPENDS
    roscpp
    camera_info_manager
    dynamic_reconfigure
    image_transport
    nodelet
    sensor_msgs
    cv_bridge
    pcl_ros
    tf
    tf_conversions
  LIBRARIES
    cis_camera_nodelet
)

add_definitions(-Dlibuvc_VERSION_MAJOR=${libuvc_VERSION_MAJOR})
add_definitions(-Dlibuvc_VERSION_MINOR=${libuvc_VERSION_MINOR})
add_definitions(-Dlibuvc_VERSION_PATCH=${libuvc_VERSION_PATCH})
include_directories(include ${libuvc_INCLUDE_DIRS} ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})
link_directories(${catkin_LINK_DIRS})

find_package(Boost REQUIRED COMPONENTS thread)
include_directories(${Boost_INCLUDE_DIRS})

add_executable(camera_node src/main.cpp src/camera_driver.cpp)
target_link_libraries(camera_node ${libuvc_LIBRARIES} ${Boost_LIBRARIES} ${catkin_LIBRARIES})
add_dependencies(camera_node ${PROJECT_NAME}_gencfg)

add_library(cis_camera_nodelet src/nodelet.cpp src/camera_driver.cpp)
add_dependencies(cis_camera_nodelet ${cis_camera_EXPORTED_TARGETS})
target_link_libraries(cis_camera_nodelet ${libuvc_LIBRARIES} ${Boost_LIBRARIES} ${catkin_LIBRARIES})
add_dependencies(cis_camera_nodelet ${PROJECT_NAME}_gencfg)

add_executable(pcl_example src/pcl_example.cpp)
target_link_libraries(pcl_example ${libuvc_LIBRARIES} ${Boost_LIBRARIES} ${catkin_LIBRARIES})
add_dependencies(pcl_example ${PROJECT_NAME}_gencfg)

install(TARGETS camera_node cis_camera_nodelet
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  )

install(FILES cis_camera_nodelet.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  )

## Mark executables and/or libraries for installation
install(DIRECTORY config launch test
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
  )

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  
  find_package(catkin REQUIRED COMPONENTS rostest roslaunch)
  
  file(GLOB LAUNCH_FILES launch/*.launch)
  foreach(LAUNCH_FILE ${LAUNCH_FILES})
    message(status "Testing ${LAUNCH_FILE}")
    roslaunch_add_file_check(${LAUNCH_FILE})
  endforeach()
  
  # file(GLOB TEST_FILES test/*.test)
  # foreach(TEST_FILE ${TEST_FILES})
  #   message(status "Testing ${TEST_FILE}")
  #   add_rostest(${TEST_FILE})
  # endforeach()

endif()

roslint_cpp()

# make docs
# ROS_PARALLEL_JOBS='' catkin_make --pkg cis_camera -- docbuild_cis_camera
add_custom_target(docbuild_${PROJECT_NAME}
  WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
  COMMAND cmake -E remove_directory output
  COMMAND cmake -E make_directory output
  COMMAND sphinx-build -b latex doc output
  COMMAND cd output \\; ls *.png | xargs extractbb
  COMMAND sed -i 's@\\\\setcounter{tocdepth}{0}@@' output/${PROJECT_NAME}.tex
  ## change layout, chapter to section, section to subsection
  COMMAND sed -i 's@\\\\chapter{[0-9. ]*@\\\\chapter{@' output/${PROJECT_NAME}.tex
  COMMAND sed -i 's@\\\\section{[0-9. ]*@\\\\section{@' output/${PROJECT_NAME}.tex
  COMMAND sed -i 's@\\\\subsection@\\\\subsubsection@' output/${PROJECT_NAME}.tex
  COMMAND sed -i 's@\\\\section@\\\\subsection@' output/${PROJECT_NAME}.tex
  COMMAND sed -i 's@\\\\chapter@\\\\section@' output/${PROJECT_NAME}.tex
  COMMAND sed -i 's@\\\\tableofcontents@\\\\setcounter{chapter}{1}\\\\tableofcontents@' output/${PROJECT_NAME}.tex
  COMMAND make -C output
  COMMAND cmake -E rename output/${PROJECT_NAME}.pdf output/${PROJECT_NAME}-${${PROJECT_NAME}_VERSION}.pdf
)

=== debian/changelog ===
ros-melodic-cis-camera (0.0.4-1bionic) bionic; urgency=high

  * Merge pull request #25 <https://github.com/tork-a/cis_camera/issues/25> from tork-a/add-comments
    Add document and comments for document
  * add 'Trouble Shooting' in index.rst
  * fix style 2 by yy
  * fix style
  * Merge branch 'add-comments' of https://github.com/tork-a/cis_camera into add-comments
  * remove doc/manifest.yaml
  * Update index.rst
  * mod index.rst format
  * mod spec. list
  * remove 'Fig.' for captions
  * update documant index.rst, add build process for making document pdf file.
  * update documents
  * mod maintainer as mailto:dev@TORK and add author informaiton, add files for documents.
  * remove doc/html/ folder
  * doc/html generated by rosdoc_lite
  * Merge branch 'master' into add-comments
  * Merge pull request #24 <https://github.com/tork-a/cis_camera/issues/24> from tork-a/fix-zero-depth-cnv-gain
    Fix zero depth cnv gain and add RGB camera info dynamic_reconfigure
  * add rgb camera info dynamic_reconfigure
  * fix depth_cnv_gain_ getting zero sometimes after the launch.
  * Merge pull request #23 <https://github.com/tork-a/cis_camera/issues/23> from tork-a/add-frame-data-check
    mod num_worker_threads from 32 to 4, mod unexpected frame data size w…
  * mod num_worker_threads from 32 to 4, mod unexpected frame data size warning message.
  * Merge pull request #22 <https://github.com/tork-a/cis_camera/issues/22> from tork-a/add-frame-data-check
    Add frame data check, mod RGB pointcloud with tf
  * add processing.launch.xml for RGB pointcloud with tf
  * remove old code lines those are commented out
  * add frame data size check to avoid memory segmentation error, add debug mode.
  * add comments for documents
  * Merge branch 'master' of https://github.com/tork-a/cis_camera into mod-cmakelists
  * add tf_conversions in CMakeLists.txt
  * Contributors: Tokyo Opensource Robotics Developer 534, Yosuke Yamamoto

 -- Tokyo Opensource Robotics Kyokai (TORK) Development Team <dev@opensource-robotics.tokyo.jp>  Tue, 10 Dec 2019 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-cis-camera
Section: misc
Priority: optional
Maintainer: Tokyo Opensource Robotics Kyokai (TORK) Development Team <dev@opensource-robotics.tokyo.jp>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-camera-info-manager, ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-dynamic-reconfigure, ros-melodic-image-transport, ros-melodic-libuvc, ros-melodic-nodelet, ros-melodic-pcl-ros, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-roslaunch, ros-melodic-roslint, ros-melodic-rostest, ros-melodic-sensor-msgs, ros-melodic-tf, ros-melodic-tf-conversions
Homepage: http://wiki.ros.org/cis_camera
Standards-Version: 3.9.2

Package: ros-melodic-cis-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-camera-info-manager, ros-melodic-cv-bridge, ros-melodic-dynamic-reconfigure, ros-melodic-image-transport, ros-melodic-jsk-rviz-plugins, ros-melodic-libuvc, ros-melodic-nodelet, ros-melodic-pcl-ros, ros-melodic-pluginlib, ros-melodic-rgbd-launch, ros-melodic-roscpp, ros-melodic-rqt-reconfigure, ros-melodic-rviz, ros-melodic-sensor-msgs, ros-melodic-tf, ros-melodic-tf-conversions
Description: The cis_camera package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-cis-camera//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
